Page MenuHomePhabricator

Prepare storage layer for euwikisource
Closed, ResolvedPublic

Description

This will be Public Wiki.

Event Timeline

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptMar 12 2018, 11:37 AM
Jayprakash12345 changed the task status from Open to Stalled.Mar 12 2018, 11:38 AM
Jayprakash12345 moved this task from Triage to Blocked external/Not db team on the DBA board.

Let us know when the wiki is created to filter it on labs and apply (or check if we need to apply): T187089 T185128 T153182

Jayprakash12345 changed the task status from Stalled to Open.Apr 19 2018, 11:03 AM

@Marostegui Wiki has been created. Thanks.

Marostegui moved this task from Blocked external/Not db team to In progress on the DBA board.

I will make sure it is filtered before sending it to cloud-services-team

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-04-20T08:39:48Z] <marostegui> Going to sanitize gorwiki euwikisource romdwikimedia inhwiki on db1095 - T189112 T189466 T187774 T184375

Marostegui removed Marostegui as the assignee of this task.Apr 20 2018, 12:06 PM
Marostegui moved this task from In progress to Done on the DBA board.
Marostegui added a subscriber: bd808.
Bstorm claimed this task.Apr 23 2018, 6:59 PM

The wiki replica views and DNS are set.

Bstorm closed this task as Resolved.Apr 25 2018, 6:55 PM
Urbanecm reopened this task as Open.Apr 27 2018, 9:39 AM
Urbanecm added a subscriber: Urbanecm.

It isn't possible to access the replicated database from Toolforge.

urbanecm@tools-bastion-03 ~ 
$ sql --cluster analytics euwikisource
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'euwikisource_p'
urbanecm@tools-bastion-03 ~ 
$ sql --cluster web euwikisource
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'euwikisource_p'
urbanecm@tools-bastion-03 ~ 
$

Yep, confirmed on my side as well.

Marostegui closed this task as Resolved.Apr 27 2018, 9:41 AM

Fixed

marostegui@tools-bastion-03:~$ sql --cluster analytics euwikisource_p
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 37794242
Server version: 10.1.32-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [euwikisource_p]> Ctrl-C -- exit!
Aborted
marostegui@tools-bastion-03:~$ sql --cluster web euwikisource_p
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 11783619
Server version: 10.1.32-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [euwikisource_p]>